Webhook endpoints
Operations tagged Webhook endpoints in the public API.
/v1/webhook_endpoints
List webhook endpoints
List webhook endpoints. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:read
Example 200 response
{
"object": "list",
"data": [
{
"object": "webhook_endpoint",
"id": 1,
"url": "https://example.com/webhooks/agentency",
"description": "Test endpoint",
"mode": "live",
"enabled_events": [
"ping"
],
"status": "enabled",
"api_version": "2026-08-14",
"consecutive_failures": 0,
"last_success_at": null,
"last_failure_at": null,
"disabled_at": null,
"disabled_reason": null,
"secret_hint": "whsec_…aaaa",
"created_at": "2026-01-01T00:00:00+00:00",
"updated_at": "2026-01-01T00:00:00+00:00"
}
],
"has_more": false,
"next_cursor": null,
"previous_cursor": null,
"url": "/v1/webhook_endpoints"
}curl -X GET https://api.agentency.com/v1/webhook_endpoints \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/webhook_endpoints
Create a webhook endpoint
Create a webhook endpoint. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:write
curl -X POST https://api.agentency.com/v1/webhook_endpoints \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"url": "url",
"description": "description",
"mode": "mode",
"enabled_events": []
}'/v1/webhook_endpoints/{id}
Retrieve a webhook endpoint
Retrieve a webhook endpoint. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:read
curl -X GET https://api.agentency.com/v1/webhook_endpoints/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/webhook_endpoints/{id}
Update a webhook endpoint
Update a webhook endpoint. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:write
curl -X PATCH https://api.agentency.com/v1/webhook_endpoints/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"url": "url",
"description": "description",
"mode": "mode",
"enabled_events": [],
"status": "status"
}'/v1/webhook_endpoints/{id}
Delete a webhook endpoint
Delete a webhook endpoint. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:write
curl -X DELETE https://api.agentency.com/v1/webhook_endpoints/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/webhook_endpoints/{id}/deliveries
Deliveries webhook endpoint
Deliveries webhook endpoint. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:read
curl -X GET https://api.agentency.com/v1/webhook_endpoints/{id}/deliveries \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/webhook_endpoints/{id}/rotate_secret
Rotate a webhook signing secret
Issues a new signing secret and returns it once. Previous signatures stop verifying after this call. The endpoint URL and subscriptions are unchanged.
Required scopewebhooks:write
curl -X POST https://api.agentency.com/v1/webhook_endpoints/{id}/rotate_secret \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/webhook_endpoints/{id}/test
Test webhook endpoint
Test webhook endpoint. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewebhooks:write
curl -X POST https://api.agentency.com/v1/webhook_endpoints/{id}/test \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"